> For the complete documentation index, see [llms.txt](https://api-documentation.autoshares.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/validate-order-placement/orders_previewcreateorder.md).

# Syntax

## Verify placing order

```
POST /v{version}/accounts/{accountId}/preview/orders
```

### Description

This API endpoint enables you to validate the parameters of a new order before placing it on the platform.

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema                                                                                                                        | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string                                                                                                                        |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string                                                                                                                        |         |
| **Path**   | **accountId**   *required*     | This is the unique identifier of the trading account on which a new order is to be verified.                                                | integer (int32)                                                                                                               |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string                                                                                                                        | `"1"`   |
| **Query**  | **currency**   *optional*      | This is the currency in which the underlying security of the order is denominated.                                                          | string                                                                                                                        |         |
| **Query**  | **exchange**   *optional*      | This is the exchange on which the verified order should preferably be placed.                                                               | string                                                                                                                        |         |
| **Body**   | **body**   *required*          | Place order parameters                                                                                                                      | [CreateOrderResource](/rest-api/trading-api/orders/validate-order-placement/orders_previewcreateorder.md#createorderresource) |         |

### Responses

| HTTP Code | Description                                                                                                                                              | Schema                                                                                                                  |
| --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| **200**   | JSON data with the order information is returned, indicating if the order is properly constructed (examine the isSuccessful parameter in the JSON file). | [VerifyOrderModel](/rest-api/trading-api/orders/validate-order-placement/orders_previewcreateorder.md#verifyordermodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation.                                                        | No Content                                                                                                              |
| **403**   | The provided Et-App-Key is incorrect.                                                                                                                    | No Content                                                                                                              |
| **422**   | A validation error occurred while processing the request.                                                                                                | No Content                                                                                                              |
| **500**   | Internal server error                                                                                                                                    | No Content                                                                                                              |

### Consumes

* `application/json`
* `text/json`

### Produces

* `application/json`
* `text/json`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/orders/validate-order-placement/orders_previewcreateorder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
